LR_LOG2REPORT.IN(1)

NAME
lr_log2report - generates a report from a log file

SYNOPSIS
lr_log2report [options] service

lr_log2report -h|-v

OPTIONS

-h  Prints usage information and exits.

-c report_cfg
    Use the file report_cfg as the report configuration file instead of the default one.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-o output format
    one of docbookx, excel95, html, html_page, logml, pdf, rtf, txt, xhtml, xhtml_page and xml. Per default, simple txt output is generated. The logml output format is only available for the www and email superservice. html and xhtml generate multiple pages, html_page and xhtml_page generate the complete report on one page. (Refer to the Lire User Manual for a description of those formats.)

-v  Prints Lire's version and exits.

DESCRIPTION
lr_log2report reads a log file from STDIN and will output the formatted report on STDOUT. The format of the log file is specified using the service argument. (Run lr_check_service -l to get a list of all currently supported Lire services.)

WARNING: This command outputs binary data on the terminal for all output formats exect txt, logml and xml. You should redirect stdout to a file when using those output formats.

The environment variable LR_ID is used in tags in debug messages, which get printed to stdout. In case LR_ID is not set, lr_log2report(1) itself generates one.

When run from the commandline, it's useful to run it under lr_run(1), to be able to tune the amount of debug output generated.

SEE ALSO
lr_log2mail(1), lr_xml2report(1), lr_anonymize(1), lr_check_service(1), documentation in the Lire User Manual

VERSION
$Id: lr_log2report.in,v 1.78 2002/08/18 19:44:40 flacoste Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHOR
Joost van Baal <joostvb@logreport.org>